Bug 90836 - XServer cannot start....
XServer cannot start....
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 11:40 EDT by dsandif
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 12:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dsandif 2003-05-14 11:40:08 EDT
Description of problem:

Hi Guys, got a question for you,

I have a Dell Inspirion 8000  laptop witha dual boot setup. Originally ,

it had Linux 7.2 and Win98 on it, but we just upgraded the Linux side to

RedHat Linux 8.0. Now when it boots up, it will go through its check ok,

but when it brings up the login command line,
***********************************
RedHAt Linux 8.0 (Psyche)
Kernel 2.4.18-14 on an i686

benioff login:
***********************************


the screen starts to flicker 2 or 3 times, then it goes into a blue
background with a grey window that has the following message:

***********************************************************************************************************************

"I cannot start the X server (your graphical
interface). It is likely  that it is not set up correctly.
Would you like to view the X server
output to diagnose the problem?"

At this point I say "yes" and I then get the next menu:

************************************************************************************************************************




XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-72) /X Window Syste
(protocol Version 11, revision 0, vender release 6600)
Release Date: 23 January 2002
         If the server is older than 6-12 months, or if your card is
newer than the above date, look for a newer version before
         reporting problems. (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.18-11smp i686 [ELF]
Build Host: daffy.perf.redhat.com

Module Loader present
OS Kernel: Linux version 2.4.18-14 (bhcompile@stripples.devel.redhat.com

Markers: (--) probed, (**) from config line, (==) default setting,
              (++) from command line, (!!) notice, (II) informational,
              (WW) warning, (EE) error, (NI) not implemented, (??)
unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Tue May 13 08:55:08 2003
(==) Using config file: "/etc/X11/XF86Config-4"
Sharp LQ150U1LH22
Color, Single, TFT
(EE) R128(0): No valid modes found
(EE) Screens(s) found, but none have a uasble configuration.

Fatal server error:
no screens found

***********************************************************************************************************************

the next window ask me the following:

 Would you like to try to run  the X configruation program?
Note that you will need the root password for this.
**********************************************************************************************************************

When I try this, this is what I get:

**********************************************************************************************************************

*ddcprobe returned bogus values:
ID: None
Name: None
Horizsync: None
VertiSync: None

Couldn't start X server, trying with a fresh configuration
************************************************************************************************************************

After trying this twice, it will say that it is going to try and restart

the X server again and then the whole cycle starts again

I am including the Log file, XFree86.0.log so you can see the full log
message.

Thanks,

D-





XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-72) / X Window
System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.18-11smp i686 [ELF]
Build Host: daffy.perf.redhat.com

Module Loader present
OS Kernel: Linux version 2.4.18-14
(bhcompile@stripples.devel.redhat.com) (gcc version 3.2 20020903 (Red
Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 13:35:50 EDT 2002
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Tue May 13 12:35:35 2003
(==) Using config file: "/etc/X11/XF86Config-4"
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "ATI Rage 128 Mobility"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.5
        XFree86 XInput driver : 0.3
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.3
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1130 card 0000,0000 rev 02 class 06,00,00
hdr 00
(II) PCI: 00:01:0: chip 8086,1131 card 0000,0000 rev 02 class 06,04,00
hdr 01
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 02 class 06,04,00
hdr 01
(II) PCI: 00:1f:0: chip 8086,244c card 0000,0000 rev 02 class 06,01,00
hdr 80
(II) PCI: 00:1f:1: chip 8086,244a card 8086,4541 rev 02 class 01,01,80
hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 8086,4541 rev 02 class 0c,03,00
hdr 00
(II) PCI: 01:00:0: chip 1002,4d46 card 1028,00a4 rev 00 class 03,00,00
hdr 00
(II) PCI: 02:03:0: chip 125d,1998 card 1028,00a4 rev 10 class 04,01,00
hdr 00
(II) PCI: 02:06:0: chip 11c1,0448 card 1668,2000 rev 01 class 07,80,00
hdr 00
(II) PCI: 02:0f:0: chip 104c,ac42 card e000,0000 rev 00 class 06,07,00
hdr 82
(II) PCI: 02:0f:1: chip 104c,ac42 card f400,0000 rev 00 class 06,07,00
hdr 82
(II) PCI: 02:0f:2: chip 104c,8027 card 1028,00a4 rev 00 class 0c,00,10
hdr 80
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0x0000c000 - 0x0000c0ff (0x100) IX[B]
        [1] -1  0x0000c400 - 0x0000c4ff (0x100) IX[B]
        [2] -1  0x0000c800 - 0x0000c8ff (0x100) IX[B]
        [3] -1  0x0000cc00 - 0x0000ccff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0xfc000000 - 0xfdffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0xe8000000 - 0xebffffff (0x4000000) MX[B]
(II) Bus 2: bridge is at (0:30:0), (0,2,16), BCTRL: 0x06 (VGA_EN is
cleared)
(II) Bus 2 I/O range:
        [0] -1  0x0000e000 - 0x0000e0ff (0x100) IX[B]
        [1] -1  0x0000e400 - 0x0000e4ff (0x100) IX[B]
        [2] -1  0x0000e800 - 0x0000e8ff (0x100) IX[B]
        [3] -1  0x0000ec00 - 0x0000ecff (0x100) IX[B]
        [4] -1  0x0000f000 - 0x0000f0ff (0x100) IX[B]
        [5] -1  0x0000f400 - 0x0000f4ff (0x100) IX[B]
        [6] -1  0x0000f800 - 0x0000f8ff (0x100) IX[B]
        [7] -1  0x0000fc00 - 0x0000fcff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
        [0] -1  0xf4000000 - 0xfbffffff (0x8000000) MX[B]
(II) Bus 2 prefetchable memory range:
(II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is
set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Rage 128 Mobility MF rev 0, Mem @ 0xe8000000/26,
0xfcffc000/14, I/O @ 0xcc00/8
(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
        [0] -1  0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
        [1] -1  0xf8ffd000 - 0xf8ffd7ff (0x800) MX[B]
        [2] -1  0xf8ffdc00 - 0xf8ffdcff (0x100) MX[B]
        [3] -1  0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
        [4] -1  0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
        [5] -1  0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
        [6] -1  0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
        [7] -1  0x0000e400 - 0x0000e4ff (0x100) IX[B]
        [8] -1  0x0000e8f8 - 0x0000e8ff (0x8) IX[B]
        [9] -1  0x0000ec00 - 0x0000ecff (0x100) IX[B]
        [10] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [11] -1 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
        [12] -1 0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
        [1] -1  0xf8ffd000 - 0xf8ffd7ff (0x800) MX[B]
        [2] -1  0xf8ffdc00 - 0xf8ffdcff (0x100) MX[B]
        [3] -1  0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
        [4] -1  0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
        [5] -1  0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
        [6] -1  0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
        [7] -1  0x0000e400 - 0x0000e4ff (0x100) IX[B]
        [8] -1  0x0000e8f8 - 0x0000e8ff (0x8) IX[B]
        [9] -1  0x0000ec00 - 0x0000ecff (0x100) IX[B]
        [10] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [11] -1 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
        [12] -1 0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
        [6] -1  0xf8ffd000 - 0xf8ffd7ff (0x800) MX[B]
        [7] -1  0xf8ffdc00 - 0xf8ffdcff (0x100) MX[B]
        [8] -1  0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
        [9] -1  0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
        [10] -1 0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
        [11] -1 0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
        [12] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [13] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [14] -1 0x0000e400 - 0x0000e4ff (0x100) IX[B]
        [15] -1 0x0000e8f8 - 0x0000e8ff (0x8) IX[B]
        [16] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B]
        [17] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [18] -1 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
        [19] -1 0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.0.2
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.13.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "r128"
(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) Module r128: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 4.0.1
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 6.4.8
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.3
(II) ATI: ATI driver (version 6.4.8) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK
(PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
        ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
        ATI Rage 128 Pro PP (PCI), ATI Rage 128 Pro PR (PCI),
        ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL
(AGP),
        ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),

        ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
        ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
        ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
        ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LX (AGP),
        ATI Radeon Mobility LY (AGP), ATI Radeon Mobility LZ (AGP),
        ATI Radeon 8500 QL (AGP), ATI Radeon 8500 QN (AGP),
        ATI Radeon 8500 QO (AGP), ATI Radeon 8500 Ql (AGP),
        ATI Radeon 8500 BB (AGP), ATI Radeon 7500 QW (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Rage 128 Mobility MF (AGP) found
(II) Loading sub module "r128"
(II) LoadModule: "r128"
(II) Reloading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
        [6] -1  0xf8ffd000 - 0xf8ffd7ff (0x800) MX[B]
        [7] -1  0xf8ffdc00 - 0xf8ffdcff (0x100) MX[B]
        [8] -1  0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
        [9] -1  0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
        [10] -1 0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
        [11] -1 0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
        [12] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [13] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [14] -1 0x0000e400 - 0x0000e4ff (0x100) IX[B]
        [15] -1 0x0000e8f8 - 0x0000e8ff (0x8) IX[B]
        [16] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B]
        [17] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [18] -1 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
        [19] -1 0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
        [6] -1  0xf8ffd000 - 0xf8ffd7ff (0x800) MX[B]
        [7] -1  0xf8ffdc00 - 0xf8ffdcff (0x100) MX[B]
        [8] -1  0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
        [9] -1  0xe4000000 - 0xe7ffffff (0x4000000) MX[B]
        [10] -1 0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
        [11] -1 0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
        [12] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [13] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [14] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [15] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [16] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [17] -1 0x0000e400 - 0x0000e4ff (0x100) IX[B]
        [18] -1 0x0000e8f8 - 0x0000e8ff (0x8) IX[B]
        [19] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B]
        [20] -1 0x0000dce0 - 0x0000dcff (0x20) IX[B]
        [21] -1 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
        [22] -1 0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
        [23] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [24] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) R128(0): PCI bus 1 card 0 func 0
(**) R128(0): Depth 16, (--) framebuffer bpp 16
(II) R128(0): Pixel depth = 16 bits stored in 2 bytes (16 bpp pixmaps)
(==) R128(0): Default visual is TrueColor
(==) R128(0): RGB weight 565
(II) R128(0): Using 6 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) R128(0): initializing int10
(II) R128(0): Primary V_BIOS segment is: 0xc000
(--) R128(0): Chipset: "ATI Rage 128 Mobility MF (AGP)" (ChipID =
0x4d46)
(--) R128(0): Linear framebuffer at 0xe8000000
(--) R128(0): MMIO registers at 0xfcffc000
(--) R128(0): VideoRAM: 32768 kByte (128-bit SDR SGRAM 1:1)
(**) R128(0): Using flat panel for display
(II) R128(0): Panel size: 1600x1200
(II) R128(0): Panel ID: Sharp LQ150U1LH22
(II) R128(0): Panel Type: Color, Single, TFT
(II) R128(0): Panel Interface: LVDS
(II) R128(0): PLL parameters: rf=2700 rd=12 min=12500 max=25000;
xclk=10500
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) R128(0): VESA BIOS detected
(II) R128(0): VESA VBE Version 2.0
(II) R128(0): VESA VBE Total Mem: 32768 kB
(II) R128(0): VESA VBE OEM: ATI MOBILE M4
(II) R128(0): VESA VBE OEM Software Rev: 1.0
(II) R128(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) R128(0): VESA VBE OEM Product: M4
(II) R128(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) R128(0): VESA VBE DDC supported
(II) R128(0): VESA VBE DDC Level none
(II) R128(0): VESA VBE DDC transfer in appr. 2 sec.
(II) R128(0): VESA VBE DDC read failed
(==) R128(0): Using gamma correction (1.0, 1.0, 1.0)
(II) R128(0): Monitor0: Using hsync range of 31.50-48.50 kHz
(II) R128(0): Monitor0: Using vrefresh range of 50.00-70.00 Hz
(II) R128(0): Clock range:  12.50 to 250.00 MHz
(II) R128(0): Not using mode "1400x1050" (no mode of this name)
(II) R128(0): Not using mode "1400x1050" (no mode of this name)
(II) R128(0): Not using mode "1400x1050" (no mode of this name)
(II) R128(0): Not using mode "1400x1050" (no mode of this name)
(II) R128(0): Not using default mode "640x350" (hsync out of range)
(II) R128(0): Not using default mode "320x175" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x400" (hsync out of range)
(II) R128(0): Not using default mode "320x200" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "720x400" (no mode of this name)
(II) R128(0): Not using default mode "360x200" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (hsync out of range)
(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (hsync out of range)
(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (hsync out of range)
(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (hsync out of range)
(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x864" (no mode of this name)
(II) R128(0): Not using default mode "576x432" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x960" (hsync out of range)
(II) R128(0): Not using default mode "640x480" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x960" (hsync out of range)
(II) R128(0): Not using default mode "640x480" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "640x512" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "640x512" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "640x512" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (hsync out of range)
(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1792x1344" (no mode of this name)
(II) R128(0): Not using default mode "896x672" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1792x1344" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "896x672" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1856x1392" (no mode of this name)
(II) R128(0): Not using default mode "928x696" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1856x1392" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "928x696" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (no mode of this name)
(II) R128(0): Not using default mode "960x720" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "960x720" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "832x624" (no mode of this name)
(II) R128(0): Not using default mode "416x312" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x864" (no mode of this name)
(II) R128(0): Not using default mode "576x432" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublesc


Version-Release number of selected component (if applicable):RedHat Linux 8.0



How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:should have gotten


Additional info:
Comment 1 dsandif 2003-05-14 11:42:05 EDT
this is a copy of my XF86Config file-


# File generated by anaconda.
# **********************************************************************
# Refer to the XF86Config(4/5) man page for details about the format of 
# this file.
# **********************************************************************

# **********************************************************************
# Files section.  This allows default font and rgb paths to be set
# **********************************************************************

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

EndSection

# **********************************************************************
# Server flags section.
# **********************************************************************

Section "ServerFlags"
    # Uncomment this to cause a core dump at the spot where a signal is 
    # received.  This may leave the console in an unusable state, but may
    # provide a better stack trace in the core dump to aid in debugging

    # NoTrapSignals

    # Uncomment this to disable the <Crtl><Alt><BS> server abort sequence
    # This allows clients to receive this key event.

    # DontZap

    # Uncomment this to disable the <Crtl><Alt><KP_+>/<KP_-> mode switching
    # sequences.  This allows clients to receive these key events.

    # DontZoom
EndSection

# Pointer section
# **********************************************************************

Section "Pointer"
    Protocol    "PS/2"
    Device      "/dev/psaux"

#    For wheel support - can not be used with Emulate3Buttons
#
#    ZAxisMapping 4 5

# When using XQUEUE, comment out the above two lines, and uncomment
# the following line.
#    Protocol	"Xqueue"

# Baudrate and SampleRate are only for some Logitech mice
#    BaudRate	9600
#    SampleRate	150

# Emulate3Buttons is an option for 2-button Microsoft mice
# Emulate3Timeout is the timeout in milliseconds (default is 50ms)
#   Emulate3Buttons
    Emulate3Timeout    50

# ChordMiddle is an option for some 3-button Logitech mice
#    ChordMiddle

EndSection

# **********************************************************************
# Keyboard section
# **********************************************************************

Section "Keyboard"
    Protocol    "Standard"

    AutoRepeat	500 5

# when using XQUEUE, comment out the above line, and uncomment the
# following line
    # Protocol   "Xqueue"

# Let the server do the NumLock processing.  This should only be 
# required when using pre-R6 clients
    # ServerNumLock

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
    # Xleds      1 2 3

# To set the LeftAlt to Meta, RightAlt key to ModeShift, 
# RightCtl key to Compose, and ScrollLock key to ModeLock:

    LeftAlt         Meta
    RightAlt        Meta
    ScrollLock      Compose
    RightCtl        Control

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#    XkbDisable

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#    XkbModel    "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#    XkbModel    "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#    XkbLayout   "de"
# or:
#    XkbLayout   "de"
#    XkbVariant  "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#    XkbOptions  "ctrl:swapcaps"
#
# If you'd like to disable the capslock key, use:
#    XkbOptions  "ctrl:nocaps"


     XkbRules    "xfree86"
     XkbModel    "pc105"
     XkbLayout   "us"     
     #XkbVariant  ""
     #XkbOptions  ""
EndSection

# **********************************************************************
# Monitor section
# **********************************************************************

# Any number of monitor sections may be present
Section "Monitor"
    Identifier  "Generic Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"
#    HorizSync   31.5
#    VertRefresh 60
    HorizSync   35.15
    VertRefresh 55-65

#    ModeLine  "640x480"   25.175  640 664 760 800
#                                  480 491 493 525

# 800x600 @ 56 Hz, 35.15 kHz hsync
    ModeLine "800x600"     36     800  824  896 1024
                                  600  601  603  625

EndSection

Section "Monitor"
    Identifier  "Probed Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"
    HorizSync   46.876
    VertRefresh 75.121
    ModeLine    "800x600" 48.002 800 832 928 1024 600 604 608 624 -HSync -VSync
EndSection


Section "Monitor"
    Identifier  "Unprobed Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"

# HorizSync is in kHz unless units are specified.
# HorizSync may be a comma separated list of discrete values, or a
# comma separated list of ranges of values.
# NOTE: THE VALUES HERE ARE EXAMPLES ONLY.  REFER TO YOUR MONITOR'S
# USER MANUAL FOR THE CORRECT NUMBERS.

    HorizSync   31.5-48.5

# VertRefresh is in Hz unless units are specified.
# VertRefresh may be a comma separated list of discrete values, or a
# comma separated list of ranges of values.
# NOTE: THE VALUES HERE ARE EXAMPLES ONLY.  REFER TO YOUR MONITOR'S
# USER MANUAL FOR THE CORRECT NUMBERS.

    VertRefresh 50-70

# Modes can be specified in two formats.  A compact one-line format, or
# a multi-line format.

# These two are equivalent

#    ModeLine "1024x768i" 45 1024 1048 1208 1264 768 776 784 817 Interlace

#    Mode "1024x768i"
#        DotClock	45
#        HTimings	1024 1048 1208 1264
#        VTimings	768 776 784 817
#        Flags		"Interlace"
#    EndMode

# This is a set of standard mode timings. Modes that are out of monitor spec
# are automatically deleted by the server (provided the HorizSync and
# VertRefresh lines are correct), so there's no immediate need to
# delete mode timings (unless particular mode timings don't work on your
# monitor). With these modes, the best standard mode that your monitor
# and video card can support for a given resolution is automatically
# used.

# Low-res Doublescan modes
# If your chipset does not support doublescan, you get a 'squashed'
# resolution like 320x400.

# --320x200--
# 320x200 @ 70 Hz, 31.5 kHz hsync, 8:5 aspect ratio
    Modeline "320x200"     12.588 320  336  384  400
                                  200  204  205  225 Doublescan
# 320x240 @ 60 Hz, 31.5 kHz hsync, 4:3 aspect ratio
    Modeline "320x240"     12.588 320  336  384  400
                                  240  245  246  262 Doublescan
# 320x240 @ 72 Hz, 36.5 kHz hsync
    Modeline "320x240"     15.750 320  336  384  400
                                  240  244  246  262 Doublescan
# --400x300--
# 400x300 @ 56 Hz, 35.2 kHz hsync, 4:3 aspect ratio
    ModeLine "400x300"     18     400  416  448  512
                                  300  301  302  312 Doublescan
# 400x300 @ 60 Hz, 37.8 kHz hsync
    Modeline "400x300"     20     400  416  480  528
                                  300  301  303  314 Doublescan
# 400x300 @ 72 Hz, 48.0 kHz hsync
    Modeline "400x300"     25     400  424  488  520
                                  300  319  322  333 Doublescan
# 480x300 @ 56 Hz, 35.2 kHz hsync, 8:5 aspect ratio
    ModeLine "480x300"     21.656 480  496  536  616
                                  300  301  302  312 Doublescan
# 480x300 @ 60 Hz, 37.8 kHz hsync
    Modeline "480x300"     23.890 480  496  576  632
                                  300  301  303  314 Doublescan
# 480x300 @ 63 Hz, 39.6 kHz hsync
    Modeline "480x300"     25     480  496  576  632
                                  300  301  303  314 Doublescan
# 480x300 @ 72 Hz, 48.0 kHz hsync
    Modeline "480x300"     29.952 480  504  584  624
                                  300  319  322  333 Doublescan

# Normal video modes

# -- 512x384
# 512x384 @ 78 Hz, 31.50 kHz hsync
    Modeline "512x384"    20.160 512  528  592  640
                                 384  385  388  404 -HSync -VSync
# 512x384 @ 85 Hz, 34.38 kHz hsync
    Modeline "512x384"    22     512  528  592  640
                                 384  385  388  404 -HSync -VSync

# -- 640x400 --
# 640x400 @ 70 Hz, 31.5 kHz hsync
    Modeline "640x400"     25.175 640  664  760  800
                                  400  409  411  450
# 640x400 @ 85 Hz, 37.86 kHz hsync
    Modeline "640x400"     31.5   640  672 736   832
                                  400  401  404  445 -HSync +VSync

# --- 640x480 ---
# 640x480 @ 60 Hz, 31.5 kHz hsync
    Modeline "640x480"     25.175 640  664  760  800
                                  480  491  493  525
# 640x480 @ 72 Hz, 36.5 kHz hsync
    Modeline "640x480"     31.5   640  680  720  864
                                  480  488  491  521
# 640x480 @ 75 Hz, 37.50 kHz hsync
    ModeLine  "640x480"    31.5   640  656  720  840
                                  480  481  484  500 -HSync -VSync
# 640x480 @ 85 Hz, 43.27 kHz hsync
    Modeline "640x480"     36     640  696  752  832
                                  480  481  484  509 -HSync -VSync
# 640x480 @ 100 Hz, 53.01 kHz hsync
    Modeline "640x480"     45.8   640  672  768  864
                                  480  488  494  530 -HSync -VSync

# --- 800x600 ---
# 800x600 @ 56 Hz, 35.15 kHz hsync
    ModeLine "800x600"     36     800  824  896 1024
                                  600  601  603  625
# 800x600 @ 60 Hz, 37.8 kHz hsync
    Modeline "800x600"     40     800  840  968 1056
                                  600  601  605  628 +hsync +vsync
# 800x600 @ 72 Hz, 48.0 kHz hsync
    Modeline "800x600"     50     800  856  976 1040
                                  600  637  643  666 +hsync +vsync
# 800x600 @ 85 Hz, 55.84 kHz hsync
    Modeline  "800x600"    60.75  800  864  928 1088
                                  600  616  621  657 -HSync -VSync
# 800x600 @ 100 Hz, 64.02 kHz hsync
    Modeline  "800x600"    69.65  800  864  928 1088
                                  600  604  610  640 -HSync -VSync

# --- 1024x768 ---
# 1024x768 @ 60 Hz, 48.4 kHz hsync
    Modeline "1024x768"    65    1024 1032 1176 1344
                                 768  771  777  806 -hsync -vsync
# 1024x768 @ 70 Hz, 56.5 kHz hsync
    Modeline "1024x768"    75    1024 1048 1184 1328
                                 768  771  777  806 -hsync -vsync
# 1024x768 @ 76 Hz, 62.5 kHz hsync
    Modeline "1024x768"    85    1024 1032 1152 1360
                                 768  784  787  823
# 1024x768 @ 85 Hz, 70.24 kHz hsync
    Modeline "1024x768"   98.9  1024 1056 1216 1408
                                768 782 788 822 -HSync -VSync
# 1024x768 @ 100Hz, 80.21 kHz hsync
    Modeline "1024x768"   115.5  1024 1056 1248 1440
                                 768  771  781  802 -HSync -VSync

# --- 1152x864 ---
# 1152x864 @ 60 Hz, 53.5 kHz hsync
    Modeline  "1152x864"   89.9  1152 1216 1472 1680
                                 864  868  876  892 -HSync -VSync
# 1152x864 @ 70 Hz, 62.4 kHz hsync
    Modeline  "1152x864"   92    1152 1208 1368 1474
                                 864  865  875  895
# 1152x864 @ 78 Hz, 70.8 kHz hsync
    Modeline "1152x864"   110   1152 1240 1324 1552
                                864  864  876  908
# 1152x864 @ 84 Hz, 76.0 kHz hsync
    Modeline "1152x864"   135    1152 1464 1592 1776
                                 864  864  876  908
# 1152x864 @ 100 Hz, 89.62 kHz hsync
    Modeline "1152x864"   137.65 1152 1184 1312 1536
                                 864  866  885  902 -HSync -VSync

# -- 1280x1024 --
# 1280x1024 @ 61 Hz, 64.2 kHz hsync
    Modeline "1280x1024"  110    1280 1328 1512 1712
                                 1024 1025 1028 1054
# 1280x1024 @ 70 Hz, 74.59 kHz hsync
    Modeline "1280x1024"  126.5 1280 1312 1472 1696
                                1024 1032 1040 1068 -HSync -VSync
# 1280x1024 @ 74 Hz, 78.85 kHz hsync
    Modeline "1280x1024"  135    1280 1312 1456 1712
                                 1024 1027 1030 1064
# 1280x1024 @ 76 Hz, 81.13 kHz hsync
    Modeline "1280x1024"  135    1280 1312 1416 1664
                                 1024 1027 1030 1064
# 1280x1024 @ 85 Hz, 91.15 kHz hsync
    Modeline "1280x1024"  157.5  1280 1344 1504 1728
                                 1024 1025 1028 1072 +HSync +VSync
# 1280x1024 @ 100 Hz, 107.16 kHz hsync
    Modeline "1280x1024"  181.75 1280 1312 1440 1696
                                 1024 1031 1046 1072 -HSync -VSync

# -- 1400x1050 --
# 1400x1050 @ 60Hz, 65.8 kHz hsync
    Modeline "1400x1050"  129   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

# 1400x1050 @ 70Hz, 76.8 kHz hsync
    Modeline "1400x1050"  151   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

# 1400x1050 @ 75Hz, 82.3 kHz hsync
    Modeline "1400x1050"  162   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

# 1400x1050 @ 85Hz, 93.2 kHz hsync
    Modeline "1400x1050"  184   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

# -- 1600x1200 --
# 1600x1200 @ 60Hz, 75.00 kHz hsync
    Modeline "1600x1200"  162   1600 1664 1856 2160
                                1200 1201 1204 1250 +HSync +VSync
# 1600x1200 @ 70 Hz, 87.50 kHz hsync
    Modeline "1600x1200"  189    1600 1664 1856 2160
                                 1200 1201 1204 1250 -HSync -VSync
# 1600x1200 @ 75 Hz, 93.75 kHz hsync
    Modeline "1600x1200"  202.5  1600 1664 1856 2160
                                 1200 1201 1204 1250 +HSync +VSync
# 1600x1200 @ 85 Hz, 105.77 kHz hsync
    Modeline "1600x1200"  220    1600 1616 1808 2080
                                 1200 1204 1207 1244 +HSync +VSync

# -- 1800x1400 -- 

# 1800x1440 @ 64Hz, 96.15 kHz hsync 
    ModeLine "1800X1440"  230    1800 1896 2088 2392
                                 1440 1441 1444 1490 +HSync +VSync
# 1800x1440 @ 70Hz, 104.52 kHz hsync 
    ModeLine "1800X1440"  250    1800 1896 2088 2392
                                 1440 1441 1444 1490 +HSync +VSync

# -- 1920x1200 --

# 1920x1200 @ 70Hz, 87.50 KHz hsync
    Modeline "1920x1200"  230    1920 1936 2096 2528
                                 1200 1201 1204 1250 +HSync +VSync

EndSection

# **********************************************************************
# Graphics device section
# **********************************************************************

Section "Device"
    Identifier        "Generic VGA Card"
    VendorName        "Unknown"
    BoardName         "Unknown"
    Chipset           "generic"
EndSection


Section "Device"
    Identifier         "ATI Rage 128 Mobility"
    VendorName         "ATI MOBILE M4"
    VideoRam           32768
EndSection


# **********************************************************************
# Screen section
# **********************************************************************

# The kernel framebuffer server
Section "Screen"
    Driver      "fbdev"
    Device      "Generic VGA Card"
    Monitor     "Probed Monitor"
    Subsection  "Display"
#        Depth       16
        Depth      16
        Modes       "default"
    EndSubsection
EndSection

# The 16-color VGA server
Section "Screen"
    Driver      "vga16"
    Device      "Generic VGA Card"
    Monitor     "Unprobed Monitor"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

# The Mono server
Section "Screen"
    Driver      "vga2"
    Device      "Generic VGA Card"
    Monitor     "Unprobed Monitor"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection


# The svga server
Section "Screen"
    Driver      "svga"
    Device      "ATI Rage 128 Mobility"
    Monitor     "Unprobed Monitor"
    DefaultColorDepth 16

    Subsection "Display"
        Depth       16
        Modes       "1280x1024" 
        ViewPort    0 0
    EndSubsection
EndSection

# The accel server
Section "Screen"
    Driver      "accel"
    Device      "ATI Rage 128 Mobility"
    Monitor     "Unprobed Monitor"
    DefaultColorDepth 16

    Subsection "Display"
        Depth       16
        Modes       "1280x1024" 
        ViewPort    0 0
    EndSubsection
EndSection

Comment 2 Mike A. Harris 2003-05-21 12:11:21 EDT
Please run "redhat-config-xfree86 --reconfig".  You seem to be using an
XFree86 3.3.6 config file created by Xconfigurator, which wont work.

Also, please don't cut and paste huge bodies of text into bug reports as it
makes them very hard to read and follow the progress of.  Use the file
attachment feature of bugzilla to attach files instead.

I'm going to close this bug NOTABUG for now, however if the problem continues
after trying my above suggestion, please open a new bug report (instead of
reopening this long one) and use the file attachment feature to attach your
new log and new config file generated by the redhat-config-xfree86 config
tool which is the officially supported config tool now in Red Hat Linux.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.